<?php

namespace GCFormsApprovals\Helpers;

/**
 * Class Formatting.
 *
 * @since 1.0.0
 */
class Formatting {

	/**
	 * Sanitize a HTTP header name.
	 *
	 * @since 1.0.0
	 *
	 * @param string $name HTTP header name.
	 *
	 * @return string The sanitized value.
	 */
	public static function sanitize_status_name( $name ) {

		// Allow characters (lowercase and uppercase), numbers, decimal point, underscore and minus.
		$sanitized = preg_replace( '/[^a-zA-Z0-9._-]/', '', $name );

		/**
		 * Filter a sanitized HTTP header name.
		 *
		 * @since 1.0.0
		 *
		 * @param string $sanitized The sanitized HTTP header name.
		 * @param string $name      HTTP header name before sanitization.
		 */
		return apply_filters( 'gcforms_approvals_formatting_sanitize_status_name', $sanitized, $name );
	}
}
