<?php
/**
 * 状态映射表
 *
 * @var array $args
 */
// 如果直接访问，则退出
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="gcforms-status-map-table">
	<p><?php echo gc_kses_post( $args['title'] ); ?></p>
	<table>
		<tbody>
		<?php
		foreach ( $args['meta'] as $key => $value ) :

			$flds_name   = [
				'source' => '',
			];
			$extra_class = '';

			$key = ( false !== $value ) ? \GCFormsApprovals\Helpers\Formatting::sanitize_status_name( $key ) : '';

			if ( ! gcforms_is_empty_string( $key ) ) {
				$flds_name['source'] = sprintf( '%1$s[%2$s]', $args['name'], $key );
			}
		?>
			<tr>
				<td class="key">
					<input type="text" value="<?php echo esc_attr( $key ); ?>" placeholder="<?php esc_attr_e( '输入自定义状态码...', 'gcforms-approvals' ); ?>" class="http-key-source">
				</td>
				<td class="status status-is-custom-value">
					<input class="gcforms-status-map-custom-value" name="<?php echo esc_attr( $flds_name['source'] ); ?>" data-name="<?php echo esc_attr( $args['name'] ); ?>" data-suffix="[{source}]" data-custom-value-support="true" type="text" placeholder="<?php esc_html_e( '状态显示名称', 'gcforms-approvals' ); ?>" value="<?php echo esc_attr( $value ); ?>" >
				</td>
				<td class="actions">
					<a class="add" href="#"><i class="fa fa-plus-circle"></i></a>
					<a class="remove" href="#"><i class="fa fa-minus-circle"></i></a>
				</td>
			</tr>
		<?php endforeach; ?>
		</tbody>
	</table>
</div>
